QGIS Application - Bug report #17537
MYSQL Connection with wrong tables
2017-11-23 12:50 PM - Gerd Dreier

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:2.18.14 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corruptsdata: Copied to github as #: 25434
Description

In former times MYSQL Connection from a table as saved in the QGS File as:
&lt;datasource&gt;MySQL:OrkanDB,host=Server,port=3306,user=webuser,password=xxxx,tables=gewstation|layername=gewst
tion&lt;/datasource&gt;

Now it is saved as:
&lt;datasource&gt;MySQL:OrkanDB,host=Server,port=3306,user=webuser,password=xxxx|layerid=93&lt;/datasource&gt;

If 1 add or insert a table in the database from Mysq|, the layerid will be changed an QGIS connect with an other table.
To save the connection to a atble over the layerid is not a good idea. In former Times it was better!

History

#1 - 2018-02-22 07:43 PM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2019-01-21 12:34 AM - Jiirgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-24 01:39 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
